##
##  lsof.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         lsof
Summary:      List Open Files
URL:          ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/
Vendor:       Victor A. Abell
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Filesystem
License:      BSD
Version:      4.66
Release:      20021222

#   list of sources
Source0:      ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    List Open Files (lsof) shows all currently open file descriptors of
    processes.

%prep
    %setup -q -n lsof_%{version}
    %{l_tar} xf lsof_%{version}_src.tar

%build
    cd lsof_%{version}_src
    case "%{l_target}" in
        *-freebsd* ) platform="freebsd" ;;
        *-linux* )   platform="linux"   ;;
        *-solaris* ) platform="solaris" ;;
        * ) echo "Platform %{l_target} not supported" 1>&2; exit 1 ;;
    esac
    PATH=/bin:/usr/bin:$PATH ./Configure -n $platform
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man8
    ( cd lsof_%{version}_src
      %{l_shtool} install -c -s lsof $RPM_BUILD_ROOT%{l_prefix}/bin/
      %{l_shtool} install -c lsof.8 $RPM_BUILD_ROOT%{l_prefix}/man/man8/
    )
    setgid=""
    case "%{l_target}" in
        *-freebsd* ) setgid="kmem" ;;
        *-linux* )   setgid="kmem" ;;
        *-solaris* ) setgid="sys"  ;;
    esac
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        "%attr(2755,%{l_musr},$setgid) %{l_prefix}/bin/lsof"

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

